JaxbHibernateMapping.JaxbClass.JaxbVersion (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbHibernateMapping.JaxbClass.JaxbVersion

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbHibernateMapping.JaxbClass.JaxbVersion

Enclosing class:
  JaxbHibernateMapping.JaxbClass

    public static class JaxbHibernateMapping.JaxbClass.JaxbVersion

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="generated" type="{http://www.hibernate.org/xsd/hibernate-mapping}generated-attribute" default="never" />
           <attribute name="insert" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" default="integer" />
           <attribute name="unsaved-value" default="undefined">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                 <enumeration value="negative"/>
                 <enumeration value="null"/>
                 <enumeration value="undefined"/>
               </restriction>
             </simpleType>
           </attribute>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `access`
`protected List<JaxbColumnElement>` | `column`
`protected String` | `columnAttribute`
`protected JaxbGeneratedAttribute` | `generated`
`protected Boolean` | `insert`
`protected List<JaxbMetaElement>` | `meta`
`protected String` | `name`
`protected String` | `node`
`protected String` | `type`
`protected String` | `unsavedValue`

Constructor Summary
`JaxbHibernateMapping.JaxbClass.JaxbVersion()`

Method Summary
`String` | `getAccess()` Gets the value of the access property.
`List<JaxbColumnElement>` | `getColumn()` Gets the value of the column property.
`String` | `getColumnAttribute()` Gets the value of the columnAttribute property.
`JaxbGeneratedAttribute` | `getGenerated()` Gets the value of the generated property.
`List<JaxbMetaElement>` | `getMeta()` Gets the value of the meta property.
`String` | `getName()` Gets the value of the name property.
`String` | `getNode()` Gets the value of the node property.
`String` | `getType()` Gets the value of the type property.
`String` | `getUnsavedValue()` Gets the value of the unsavedValue property.
`Boolean` | `isInsert()` Gets the value of the insert property.
`void` | `setAccess(String value)` Sets the value of the access property.
`void` | `setColumnAttribute(String value)` Sets the value of the columnAttribute property.
`void` | `setGenerated(JaxbGeneratedAttribute value)` Sets the value of the generated property.
`void` | `setInsert(Boolean value)` Sets the value of the insert property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setType(String value)` Sets the value of the type property.
`void` | `setUnsavedValue(String value)` Sets the value of the unsavedValue property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### column

    protected List<JaxbColumnElement> column

### access

    protected String access

### columnAttribute

    protected String columnAttribute

### generated

    protected JaxbGeneratedAttribute generated

### insert

    protected Boolean insert

### name

    protected String name

### node

    protected String node

### type

    protected String type

### unsavedValue

    protected String unsavedValue

Constructor Detail

### JaxbHibernateMapping.JaxbClass.JaxbVersion

    public JaxbHibernateMapping.JaxbClass.JaxbVersion()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

### getColumn

    public List<JaxbColumnElement> getColumn()

  Gets the value of the column property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the column property.

  For example, to add a new item, do as follows:

          getColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbColumnElement`

### getAccess

    public String getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `String`

### setAccess

    public void setAccess(String value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `String`

### getColumnAttribute

    public String getColumnAttribute()

  Gets the value of the columnAttribute property.

  Returns:
    possible object is `String`

### setColumnAttribute

    public void setColumnAttribute(String value)

  Sets the value of the columnAttribute property.

  Parameters:
    `value` - allowed object is `String`

### getGenerated

    public JaxbGeneratedAttribute getGenerated()

  Gets the value of the generated property.

  Returns:
    possible object is `JaxbGeneratedAttribute`

### setGenerated

    public void setGenerated(JaxbGeneratedAttribute value)

  Sets the value of the generated property.

  Parameters:
    `value` - allowed object is `JaxbGeneratedAttribute`

### isInsert

    public Boolean isInsert()

  Gets the value of the insert property.

  Returns:
    possible object is `Boolean`

### setInsert

    public void setInsert(Boolean value)

  Sets the value of the insert property.

  Parameters:
    `value` - allowed object is `Boolean`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getUnsavedValue

    public String getUnsavedValue()

  Gets the value of the unsavedValue property.

  Returns:
    possible object is `String`

### setUnsavedValue

    public void setUnsavedValue(String value)

  Sets the value of the unsavedValue property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.